package com.virtual.plat.server.rs.organize.func;

import com.virtual.plat.server.entity.Organization;
import com.virtual.plat.server.entity.QueryConfig;
import com.virtual.plat.server.rs.entity.ListResult;
import com.virtual.plat.server.rs.message.entity.RsTaskMsg;
import java.util.List;

public interface RsOrganizeMgr {

   List queryOrganizationList(String var1);

   ListResult queryVmList(String var1, QueryConfig var2);

   ListResult queryTmpList(String var1, QueryConfig var2);

   long queryVmCount(String var1, QueryConfig var2);

   long queryTmpCount(String var1, QueryConfig var2);

   int scpToFile(Long var1, String var2, String var3);

   int scpFromFile(Long var1, Long var2, String var3, String var4);

   RsTaskMsg queryDeployResult(Long var1);

   List queryOrgList(String var1, QueryConfig var2);

   void checkUpLoadCondition(Long var1, Long var2, String var3, String var4, String var5, String var6, Long var7);

   List batchDeployDomain(List var1, String var2, String var3);

   Organization getOrgByUserName(String var1);
}
